Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.data.folded
Class FoldedDataSet

    java.lang.Object
      org.encog.ml.data.folded.FoldedDataSet

All Implemented Interfaces:
  Iterable<MLDataPair>, MLDataSet

    public class FoldedDataSet

extends Object
implements MLDataSet

A folded data set allows you to "fold" the data into several equal(or nearly equal) datasets. You then have the ability to select which fold the dataset will process. This is very useful for crossvalidation. This dataset works off of an underlying dataset. By default there are no folds (fold size 1). Call the fold method to create more folds.

Field Summary
`static String` | `ADD_NOT_SUPPORTED` Error message: adds are not supported.

Constructor Summary
`FoldedDataSet(MLDataSet theUnderlying)` Create a folded dataset.

Method Summary
`void` | `add(MLData data1)` Not supported.
`void` | `add(MLData inputData, MLData idealData)` Not supported.
`void` | `add(MLDataPair inputData)` Not supported.
`void` | `close()` Close the dataset.
`void` | `fold(int theNumFolds)` Fold the dataset.
`MLDataPair` | `get(int index)`
`int` | `getCurrentFold()`
`int` | `getCurrentFoldOffset()`
`int` | `getCurrentFoldSize()`
`int` | `getIdealSize()`
`int` | `getInputSize()`
`int` | `getNumFolds()`
`FoldedDataSet` | `getOwner()`
`void` | `getRecord(long index, MLDataPair pair)` Read an individual record, specified by index, in random order.
`long` | `getRecordCount()` Determine the total number of records in the set.
`MLDataSet` | `getUnderlying()`
`boolean` | `isSupervised()`
`Iterator<MLDataPair>` | `iterator()`
`MLDataSet` | `openAdditional()` Opens an additional instance of this dataset.
`void` | `setCurrentFold(int theCurrentFold)` Set the current fold.
`void` | `setOwner(FoldedDataSet theOwner)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD_NOT_SUPPORTED

    public static final String ADD_NOT_SUPPORTED

  Error message: adds are not supported.

  See Also:
    Constant Field Values

Constructor Detail

### FoldedDataSet

    public FoldedDataSet(MLDataSet theUnderlying)

  Create a folded dataset.

  Parameters:
    `theUnderlying` - The underlying folded dataset.

Method Detail

### add

    public final void add(MLData data1)

  Not supported.

  Specified by:
    `add` in interface `MLDataSet`
  Parameters:
    `data1` - Not used.

### add

    public final void add(MLData inputData,
                          MLData idealData)

  Not supported.

  Specified by:
    `add` in interface `MLDataSet`
  Parameters:
    `inputData` - Not used.
    `idealData` - Not used.

### add

    public final void add(MLDataPair inputData)

  Not supported.

  Specified by:
    `add` in interface `MLDataSet`
  Parameters:
    `inputData` - Not used.

### close

    public final void close()

  Close the dataset.

  Specified by:
    `close` in interface `MLDataSet`

### fold

    public final void fold(int theNumFolds)

  Fold the dataset. Must be done before the dataset is used.

  Parameters:
    `theNumFolds` - The number of folds.

### getCurrentFold

    public final int getCurrentFold()

  Returns:
    the currentFold

### getCurrentFoldOffset

    public final int getCurrentFoldOffset()

  Returns:
    the currentFoldOffset

### getCurrentFoldSize

    public final int getCurrentFoldSize()

  Returns:
    the currentFoldSize

### getIdealSize

    public final int getIdealSize()

  Specified by:
    `getIdealSize` in interface `MLDataSet`
  Returns:
    The size of the input data.

### getInputSize

    public final int getInputSize()

  Specified by:
    `getInputSize` in interface `MLDataSet`
  Returns:
    The size of the input data.

### getNumFolds

    public final int getNumFolds()

  Returns:
    the numFolds

### getOwner

    public final FoldedDataSet getOwner()

  Returns:
    The owner.

### getRecord

    public final void getRecord(long index,
                                MLDataPair pair)

  Read an individual record, specified by index, in random order.

  Specified by:
    `getRecord` in interface `MLDataSet`
  Parameters:
    `index` - The index to read.
    `pair` - The pair that the record will be copied into.

### getRecordCount

    public final long getRecordCount()

  Determine the total number of records in the set.

  Specified by:
    `getRecordCount` in interface `MLDataSet`
  Returns:
    The total number of records in the set.

### getUnderlying

    public final MLDataSet getUnderlying()

  Returns:
    The underlying dataset.

### isSupervised

    public final boolean isSupervised()

  Specified by:
    `isSupervised` in interface `MLDataSet`
  Returns:
    True if this is a supervised training set.

### iterator

    public final Iterator<MLDataPair> iterator()

  Specified by:
    `iterator` in interface `Iterable<MLDataPair>`

### openAdditional

    public final MLDataSet openAdditional()

  Opens an additional instance of this dataset.

  Specified by:
    `openAdditional` in interface `MLDataSet`
  Returns:
    The new instance.

### setCurrentFold

    public final void setCurrentFold(int theCurrentFold)

  Set the current fold.

  Parameters:
    `theCurrentFold` - the currentFold to set

### setOwner

    public final void setOwner(FoldedDataSet theOwner)

  Parameters:
    `theOwner` - The owner.

### size

    public int size()

  Specified by:
    `size` in interface `MLDataSet`

### get

    public MLDataPair get(int index)

  Specified by:
    `get` in interface `MLDataSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.